boost::geometry::detail::is_valid Namespace Reference

## Classes

class | complement_graph
class | complement_graph_vertex
struct | debug_validity_phase

## Functions

template<typename OutputStream , typename TurnPoint >
void | debug_print_complement_graph (OutputStream &, complement_graph< TurnPoint > const &)
template<typename Turn >
void | debug_print_turn (Turn const &)
template<typename TurnIterator >
void | debug_print_turns (TurnIterator, TurnIterator)

## Function Documentation

template<typename OutputStream , typename TurnPoint >

void boost::geometry::detail::is_valid::debug_print_complement_graph | ( | OutputStream & | ,
|  | complement_graph< TurnPoint > const & |
| ) |  |

template<typename Turn >

void boost::geometry::detail::is_valid::debug_print_turn | ( | Turn const & |  | ) |

template<typename TurnIterator >

void boost::geometry::detail::is_valid::debug_print_turns | ( | TurnIterator | ,
|  | TurnIterator |
| ) |  |

April 2, 2011 | Copyright © 2007-2011 Barend Gehrels, Amsterdam, the Netherlands Copyright © 2008-2011 Bruno Lalande, Paris, France Copyright © 2009-2010 Mateusz Loskot, London, UK